# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "churro"
version = "0.0.1"
authors = ["jacklak-redstone (jacklak)"]
build = "build.rs"
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "A Rust crate to make Chatto bots."
documentation = "https://docs.rs/churro"
readme = "README.md"
license = "Apache-2.0"
repository = "https://github.com/jacklak-redstone/churro"

[lib]
name = "churro"
path = "src/lib.rs"

[dependencies.buffa]
version = "0.8.1"
features = ["json"]

[dependencies.buffa-descriptor]
version = "0.8.1"
features = ["json"]

[dependencies.buffa-types]
version = "0.8.1"
features = ["json"]

[dependencies.connectrpc]
version = "0.8.1"
features = [
    "client",
    "client-tls",
]

[dependencies.http]
version = "1.4.2"

[dependencies.serde]
version = "1.0.228"
features = ["derive"]

[dependencies.tokio]
version = "1.52.3"
features = ["full"]

[dependencies.webpki-roots]
version = "1.0.8"

[build-dependencies.connectrpc-build]
version = "0.8"

[build-dependencies.walkdir]
version = "2.5.0"
